<?php
/*******************************************************************************
 *                    _ _ _ _
 *                   / _ _  /
 *            _ _   / /__/ /_ _   ____ _ _   _ _ _    __
 *           / _ ` /   _ _// _ ` / __// _ ` / _ \\ \ / /
 *          / _ _// /\ \  / _ _/ \_ \/ _ _// / \/ \ ` /
 *          \_ , /_/  \_\ \_ ,  /__ /\_ , /_/      \_/
 *
 *******************************************************************************
 *    Application:  eReserv
 *    Version:      6
 *    Author:       David Di Certo
 *    Website:      http://www.cogites.com
 *    Email:        contact@cogites.com
 *    Copyright:    2013 - David Di Certo
 *******************************************************************************
 *    == FR ==      La revente et la redistribution de l'application sont
 *                  strictement interdites.
 *
 *                  Vous êtes tenu d'avoir pris connaissance des
 *                  Conditions Générales de Vente disponibles sur Cogites.com
 *                  (y compris pour la version Free).
 *
 *    == EN ==      Resale and redistribution of the application are
 *                  Strictly prohibited.
 *
 *                  You are required to have read the Terms and Conditions
 *                  available on Cogites.com (including the Free version).
 *
 *******************************************************************************
*/

class PaymentVo {

	public $payment_id;
	public $recorddate;
	public $reservation_id;
	public $payment_date;
	public $method;
	public $type;
	public $amount;
	public $comment;
	public $tenancy_name;
	public $tenant_id;
	public $tenant_name;
	public $tenant_lastname;
	public $arrival_date;
	public $departure_date;
	public $price;
	public $paid;

	public function __construct(array $data = array())
	{
		foreach($data as $key => $value) {
			if ($key=='payment_id') $this->payment_id = $value;
			if ($key=='recorddate') $this->recorddate = $value;
			if ($key=='reservation_id') $this->reservation_id = $value;
			if ($key=='payment_date') $this->payment_date = $value;
			if ($key=='method') $this->method = $value;
			if ($key=='type') $this->type = $value;
			if ($key=='amount') $this->amount = $value;
			if ($key=='comment') $this->comment = $value;

			if ($key=='tenancy_name') $this->tenancy_name = $value;
			if ($key=='tenant_id') $this->tenant_id = $value;
			if ($key=='name') $this->tenant_name = $value;
			if ($key=='lastname') $this->tenant_lastname = $value;
			if ($key=='arrival_date') $this->arrival_date = $value;
			if ($key=='departure_date') $this->departure_date = $value;
			if ($key=='price') $this->price = $value;
			if ($key=='paid') $this->paid = $value;
		}
	}

}
?>